- Main Page
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

# image.hpp File Reference

Class JpegImage to access JPEG images. More...

`#include "types.hpp"`
`#include "basicio.hpp"`
`#include <string>`
`#include <vector>`

Include dependency graph for image.hpp:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | Exiv2
namespace | Exiv2::ImageType
## Classes
class | Exiv2::Image
| Abstract base class defining the interface for an image. This is the top-level interface to the Exiv2 library. More...
class | Exiv2::ImageFactory
| Returns an Image instance of the specified type. More...
struct | Exiv2::ImageFactory::Registry
| Struct for storing image types and function pointers.
class | Exiv2::TiffHeader
| Helper class modelling the TIFF header structure. More...
## Typedefs
typedef std::vector< byte > | Exiv2::Blob
| Container for binary image.
typedef Image::AutoPtr(* | Exiv2::NewInstanceFct )(BasicIo::AutoPtr io, bool create)
| Type for function pointer that creates new Image instances.
typedef bool(* | Exiv2::IsThisTypeFct )(BasicIo &iIo, bool advance)
| Type for function pointer that checks image types.
## Functions
void | Exiv2::append (Blob &blob, const byte *buf, uint32_t len)
| Append len bytes pointed to by buf to blob.
## Variables
const int | Exiv2::ImageType::none = 0
| Not an image.

## Detailed Description

Class JpegImage to access JPEG images.

Version:
  Rev
    705

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

  Brad Schick (brad) brad@robotbattle.com

Date:
  09-Jan-04, ahu: created
  11-Feb-04, ahu: isolated as a component
  19-Jul-04, brad: revamped to be more flexible and support Iptc 15-Jan-05, brad: inside-out design changes